# Generated by Django 3.1.7 on 2021-03-09 08:40

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    dependencies = [
        ('article', '0001_initial'),
    ]

    operations = [
        migrations.CreateModel(
            name='Commentaire',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('author_name', models.CharField(max_length=40)),
                ('content', models.TextField(max_length=200)),
                ('creation_date', models.DateTimeField(auto_now_add=True, null=True)),
                ('article', models.ForeignKey(help_text='Select an article for this comment', null=True, on_delete=django.db.models.deletion.SET_NULL, to='article.article')),
            ],
        ),
    ]
